<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="org.springblade.modules.platform.mapper.ExpressMapper">

    <!-- 通用查询映射结果 -->
    <resultMap id="expressResultMap" type="org.springblade.modules.platform.entity.Express">
        <id column="id" property="id"/>
        <result column="express_name" property="expressName"/>
        <result column="express_code" property="expressCode"/>
        <result column="is_show" property="isShow"/>
        <result column="is_deleted" property="isDeleted"/>
    </resultMap>


    <select id="selectExpressPage" resultMap="expressResultMap">
        select * from t_express where is_deleted = 0
    </select>

</mapper>
